function config() {
	NEW="$1"
	OLD="`dirname $NEW`/`basename $NEW .new`"

	# If there's no config file by that name, mv it over:
	if [ ! -r $OLD ]; then
		echo "--- Renaming $NEW to $OLD"
		mv $NEW $OLD
	elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
		# toss the redundant copy
		echo "--- Deleting $NEW"
		rm $NEW
	else
		# Otherwise, we leave the .new copy for the admin to consider...
		echo "--- Leaving $NEW for you to replace $OLD"
	fi


}

if ! grep -q ntop /etc/group; then
  echo "Adding Ntop group"
  groupadd ntop &>/dev/null
fi

if ! grep -q ntop /etc/passwd; then
  echo "Adding Ntop user"
  useradd -g ntop -d /var/ntop -c "Network Top User" -s /bin/false ntop &>/dev/null
fi

echo "Setting correct permissions"
chown -R ntop:ntop /var/ntop
chown -R ntop:ntop /usr/share/ntop

for i in /etc/rc.d/rc.ntop.new /etc/ntop/*.new
do
	if [ -f $i ]
	then
		config $i
	fi
done
( cd usr/lib ; rm -rf libicmpPlugin )
( cd usr/lib ; ln -sf libicmpPlugin-3.3 libicmpPlugin )
( cd usr/lib ; rm -rf libsflowPlugin )
( cd usr/lib ; ln -sf libsflowPlugin-3.3 libsflowPlugin )
( cd usr/lib ; rm -rf libntop )
( cd usr/lib ; ln -sf libntop-3.3 libntop )
( cd usr/lib ; rm -rf libntopreport )
( cd usr/lib ; ln -sf libntopreport-3.3 libntopreport )
( cd usr/lib ; rm -rf liblastSeenPlugin )
( cd usr/lib ; ln -sf liblastSeenPlugin-3.3 liblastSeenPlugin )
( cd usr/lib ; rm -rf librrdPlugin )
( cd usr/lib ; ln -sf librrdPlugin-3.3 librrdPlugin )
( cd usr/lib ; rm -rf libremotePlugin )
( cd usr/lib ; ln -sf libremotePlugin-3.3 libremotePlugin )
( cd usr/lib ; rm -rf libpdaPlugin )
( cd usr/lib ; ln -sf libpdaPlugin-3.3 libpdaPlugin )
( cd usr/lib ; rm -rf libnetflowPlugin )
( cd usr/lib ; ln -sf libnetflowPlugin-3.3 libnetflowPlugin )
